org.eclipse.emf.cdo.common.revision.delta

## Interface CDORevisionDelta

- All Superinterfaces:
    CDOBranchProvider, CDOBranchVersion, CDOIDAndVersion, CDOIdentifiable, CDORevisionKey, CDOVersionProvider
  All Known Subinterfaces:
    InternalCDORevisionDelta

      public interface CDORevisionDelta
      extends CDORevisionKey

  Represents the change delta between two `revisions` of a CDO object. The detailed `feature deltas` are returned by the `getFeatureDeltas()` method.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDORevisionDelta` | `DETACHED` This constant is only passed into conflict resolvers to indicate that a conflict was caused by remote detachment of an object.

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(CDOFeatureDeltaVisitor visitor)`
    `void` | `accept(CDOFeatureDeltaVisitor visitor, Predicate<EStructuralFeature> filter)` Deprecated. As of 4.9 use `accept(CDOFeatureDeltaVisitor, java.util.function.Predicate)`.
    `void` | `accept(CDOFeatureDeltaVisitor visitor, java.util.function.Predicate<EStructuralFeature> filter)`
    `void` | `apply(CDORevision revision)` Deprecated. As of 4.3 use `applyTo(CDORevision)`.
    `void` | `applyTo(CDORevision revision)` Applies the `feature deltas` in this revision delta to the `data` of the given revision.
    `CDORevisionDelta` | `copy()`
    `EClass` | `getEClass()`
    `CDOFeatureDelta` | `getFeatureDelta(EStructuralFeature feature)`
    `java.util.List<CDOFeatureDelta>` | `getFeatureDeltas()`
    `CDORevisable` | `getTarget()`
    `boolean` | `isEmpty()`
    `int` | `size()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndVersion

      `getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

- - ### Field Detail

    - #### DETACHED

          static final CDORevisionDelta DETACHED

      This constant is only passed into conflict resolvers to indicate that a conflict was caused by remote detachment of an object. Calling any method on this marker instance will result in an `UnsupportedOperationException` being thrown.
      Since:
        4.0

  - ### Method Detail

    - #### getEClass

          EClass getEClass()

      Since:
        3.0

    - #### getTarget

          CDORevisable getTarget()

      Since:
        4.0

    - #### size

          int size()

      Since:
        4.2

    - #### isEmpty

          boolean isEmpty()

      Since:
        3.0

    - #### copy

          CDORevisionDelta copy()

      Since:
        4.0

    - #### getFeatureDelta

          CDOFeatureDelta getFeatureDelta(EStructuralFeature feature)

      Since:
        4.0

    - #### getFeatureDeltas

          java.util.List<CDOFeatureDelta> getFeatureDeltas()

    - #### apply

          @Deprecated
          void apply(CDORevision revision)

      Deprecated. As of 4.3 use `applyTo(CDORevision)`.

    - #### applyTo

          void applyTo(CDORevision revision)

      Applies the `feature deltas` in this revision delta to the `data` of the given revision.

      The system data of the given revision, e.g. `branch point` or `branch version` of the given revision are not modified.

      Since:
        4.3

    - #### accept

          void accept(CDOFeatureDeltaVisitor visitor)

    - #### accept

          @Deprecated
          void accept(CDOFeatureDeltaVisitor visitor,
                                   Predicate<EStructuralFeature> filter)

      Deprecated. As of 4.9 use `accept(CDOFeatureDeltaVisitor, java.util.function.Predicate)`.
      Since:
        4.2

    - #### accept

          void accept(CDOFeatureDeltaVisitor visitor,
                      java.util.function.Predicate<EStructuralFeature> filter)

      Since:
        4.9

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html